import 'package:flutter/material.dart';

import 'Constants/Colorconstants.dart';


class CustomDecoration {
  static InputDecoration textFieldStyle(
      {String? labelTextStr = "",
      String? hintTextStr = "",
      Widget? prefixIcon}) {
    return InputDecoration(
      fillColor: Colors.white,
      labelText: labelTextStr,
      labelStyle: const TextStyle(
        color: Color.fromRGBO(139, 137, 137, 1.0),
      ),
      hintText: hintTextStr,
      prefixIcon: prefixIcon,
      counterText: "",
      border: OutlineInputBorder(
          borderRadius: BorderRadius.circular(5),
          borderSide: BorderSide(color: Colors.grey[200]!, width: 2)

          ),
      enabledBorder: OutlineInputBorder(
          borderRadius: BorderRadius.circular(5),
          borderSide: BorderSide(color: Colors.grey[200]!, width: 2)),
      focusedBorder:  OutlineInputBorder(
          borderRadius: BorderRadius.circular(5),
          borderSide:
              const BorderSide(color: ColorConstants.primaryColor, width: 2)),
    );
  }
}
